import { SYSTEM } from "../config/system.mjs"

export default class OathHammerOath extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}

    schema.oathType = new fields.StringField({ required: true, initial: "oath-of-justice", choices: SYSTEM.OATH_TYPES })
    schema.tenet = new fields.HTMLField({ required: false, textSearch: true })
    schema.boon = new fields.HTMLField({ required: true, textSearch: true })
    schema.bane = new fields.HTMLField({ required: true, textSearch: true })
    schema.violated = new fields.BooleanField({ required: true, initial: false })

    return schema
  }

  static LOCALIZATION_PREFIXES = ["OATHHAMMER.Oath"]
}
